Other Versions

2.0.4-pl (rel. 14-Oct-2010)  Release Announcement | Changelog

Traditional Installation Package

To install this software, follow the basic installation guide.

Advanced Installation Package

Server Requirements Overview

The guidelines below are the minimal and recommended versions of software to run MODX Revolution.

Component Minimum Required Recommended for Production
PHP 5.6.x 7.3 or later
Database Latest MySQL 5.6.x MariaDB 10.1.x or Percona Server 5.6.x or above
Web Server Latest Apache 2.2.x Latest NGINX 1.18.x or above

Older versions of software and additional webservers may work with MODX Revolution. Find out more in our complete guideline to recommended server requirements, which also includes PHP dependencies and more.

* To install this software, extract the files to your server and follow the basic installation guide. Unless you need to customize an install, e.g., changing the Manager location or name, download the Standard version.

Launch a MODX site with ease

Turn your code into a MODX-powered digital experience and deploy with confidence.

Get Started Plans & Pricing

Got questions? Contact us to ask or schedule a demo. Want to self-host? Download MODX